Fedora 14 Update: rubygem-thin-1.2.11-10.fc14

updates at fedoraproject.org updates at fedoraproject.org
Wed Aug 31 01:42:20 UTC 2011


--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2011-11178
2011-08-19 21:15:51
--------------------------------------------------------------------------------

Name        : rubygem-thin
Product     : Fedora 14
Version     : 1.2.11
Release     : 10.fc14
URL         : http://code.macournoyer.com/thin/
Summary     : A thin and fast web server
Description :
Thin is a Ruby web server that glues together three of the best Ruby
libraries in web history.
The Mongrel parser, the root of Mongrel speed and security,
Event Machine, a network I/O library with extremely high scalability and
Rack, a minimal interface between webservers and Ruby frameworks.

--------------------------------------------------------------------------------
Update Information:

Update F-14 to conform to the rawhide package.  Fix a bug where thin would fail to launch becuase of a missing file.
Fixing Thin::HttpParser error
This update should fix the issues  with unintialized Thin::HttpParser
--------------------------------------------------------------------------------
ChangeLog:

* Thu Aug 18 2011 Chris Lalancette <clalance at redhat.com> - 1.2.11-10
- Move stats.html.erb to the main package (it is a runtime requirement)
* Thu Aug 18 2011 Chris Lalancette <clalance at redhat.com> - 1.2.11-9
- Make F-14 use the same parser path patch as rawhide
* Thu Jul 14 2011 Michal Fojtik <mfojtik at redhat.com> - 1.2.11-8
- Updated to patch for version 1.2.11
* Thu Jul 14 2011 Michal Fojtik <mfojtik at redhat.com> - 1.2.11-7
- Fixed typo in prep section
* Thu Jul 14 2011 Michal Fojtik <mfojtik at redhat.com> - 1.2.11-6
- Copied native extension loading patch from EL6 (thanks to David Lutterkort)
* Thu Jul 14 2011 Michal Fojtik <mfojtik at redhat.com> - 1.2.11-5
- Fixed patch format
* Thu Jul 14 2011 Michal Fojtik <mfojtik at redhat.com> - 1.2.11-4
- Removed deprecated Prereq
* Thu Jul 14 2011 Michal Fojtik <mfojtik at redhat.com> - 1.2.11-3
- Added ldconfig to refresh cache after update
* Thu Jul 14 2011 Michal Fojtik <mfojtik at redhat.com> - 1.2.11-2
- Added patch to fix loading of thin_parser.so
* Thu Jul 14 2011 Michal Fojtik <mfojtik at redhat.com> - 1.2.11-1
- Version bump
* Tue Mar  1 2011 Michal Fojtik <mfojtik at redhat.com> - 1.2.8-3
- Removed Rake dependency completely
* Tue Mar  1 2011 Michal Fojtik <mfojtik at redhat.com> - 1.2.8-2
- Fixed RSpec tests
* Tue Mar  1 2011 Michal Fojtik <mfojtik at redhat.com> - 1.2.8-1
- Updated to upstream version
* Wed Feb  9 2011 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 1.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Wed Sep  8 2010 Michal Fojtik <mfojtik at redhat.com> - 1.2.7-1
- Updated to upstream version
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #721385 - Deltacloudd cannot start because of old version of thin
        https://bugzilla.redhat.com/show_bug.cgi?id=721385
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update rubygem-thin' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
--------------------------------------------------------------------------------


More information about the package-announce mailing list